# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.entity_validation_response import EntityValidationResponse

class TestEntityValidationResponse(unittest.TestCase):
    """EntityValidationResponse unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> EntityValidationResponse:
        """Test EntityValidationResponse
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `EntityValidationResponse`
        """
        model = EntityValidationResponse()
        if include_optional:
            return EntityValidationResponse(
                valid = True,
                errors = [
                    None
                    ]
            )
        else:
            return EntityValidationResponse(
                valid = True,
        )
        """

    def testEntityValidationResponse(self):
        """Test EntityValidationResponse"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
